org.apache.olingo.server.api.processor

## Interface BatchProcessor

- All Superinterfaces:
    Processor

      public interface BatchProcessor
      extends Processor

  Processor interface for handling a single instance of an Entity Type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processBatch(BatchFacade facade, ODataRequest request, ODataResponse response)` Process a complete batch request and puts serialized content and status into the response.
    `ODataResponsePart` | `processChangeSet(BatchFacade facade, List<ODataRequest> requests)` Process a batch change set (containing several batch requests) and puts serialized content and status into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### processBatch

          void processBatch(BatchFacade facade,
                            ODataRequest request,
                            ODataResponse response)
                     throws ODataApplicationException,
                            ODataLibraryException

      Process a complete batch request and puts serialized content and status into the response.
      Parameters:
        `facade` - BatchFacade which should be used for further batch part handling
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
      Throws:
        `ODataApplicationException`
        `ODataLibraryException`

    - #### processChangeSet

          ODataResponsePart processChangeSet(BatchFacade facade,
                                             List<ODataRequest> requests)
                                      throws ODataApplicationException,
                                             ODataLibraryException

      Process a batch change set (containing several batch requests) and puts serialized content and status into the response.
      Parameters:
        `facade` - BatchFacade which should be used for further batch part handling
        `requests` - List of ODataRequests which are included in the to be processed change set
      Throws:
        `ODataApplicationException`
        `ODataLibraryException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.